Package org.drinkless.tdlib

# Class TdApi.BusinessOpeningHoursInterval

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.BusinessOpeningHoursInterval

Enclosing class:
  `TdApi`

public static class TdApi.BusinessOpeningHoursInterval extends TdApi.Object
Describes an interval of time when the business is open.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `endMinute`
  The minute's sequence number in a week, starting on Monday, marking the end of the time interval during which the business is open; 1-8*24*60.
  `int`
  `startMinute`
  The minute's sequence number in a week, starting on Monday, marking the start of the time interval during which the business is open; 0-7*24*60.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BusinessOpeningHoursInterval()`
  Describes an interval of time when the business is open.
  `BusinessOpeningHoursInterval(int startMinute, int endMinute)`
  Describes an interval of time when the business is open.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### startMinute

    public int startMinute
    The minute's sequence number in a week, starting on Monday, marking the start of the time interval during which the business is open; 0-7*24*60.

  - ### endMinute

    public int endMinute
    The minute's sequence number in a week, starting on Monday, marking the end of the time interval during which the business is open; 1-8*24*60.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BusinessOpeningHoursInterval

    public BusinessOpeningHoursInterval()
    Describes an interval of time when the business is open.

  - ### BusinessOpeningHoursInterval

    public BusinessOpeningHoursInterval(int startMinute, int endMinute)
    Describes an interval of time when the business is open.
    Parameters:
      `startMinute` - The minute's sequence number in a week, starting on Monday, marking the start of the time interval during which the business is open; 0-7*24*60.
      `endMinute` - The minute's sequence number in a week, starting on Monday, marking the end of the time interval during which the business is open; 1-8*24*60.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR